package it.unitn.disi.ronchet.laboratorio4;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Polygon;
import javafx.scene.shape.Rectangle;
import javafx.scene.shape.Shape;
import javafx.stage.Stage;

import java.io.IOException;

public class MyApplication_anonymous extends Application  {
    int counter=0;
    Shape figure[]=new Shape[3];
    int currentFigure=2;
    int direction=1;
    Button b2=null;
    @Override
    public void start(Stage stage) throws IOException {
        figure[0]=new Rectangle(50,50);
        figure[1]=new Circle(25);
        figure[2]=new Polygon(0.,0.,50,0,25,45);
        for (Shape i:figure){i.setFill(Color.WHITE); i.setStroke(Color.BLACK);}
        HBox figureBox=new HBox(figure);
        Button b1=new Button("cambia colore");
        b1.setOnAction(new EventHandler<ActionEvent>() {
            @Override
            public void handle(ActionEvent actionEvent) {
                Color randomColor=new Color(Math.random(),Math.random(),Math.random(),1.0);
                nextFigure();
                figure[currentFigure].setFill(randomColor);
            }
        });
        b2=new Button("=>");
        b2.setOnAction(new EventHandler<ActionEvent>() {
            @Override
            public void handle(ActionEvent actionEvent) {
                switch (direction) {
                    case 1:
                        b2.setText("<=");
                        break;
                    case -1:
                        b2.setText("=>");
                        break;
                }
                direction=-direction;
            }
        });
        HBox buttonBox=new HBox(b1,b2);
        BorderPane root=new BorderPane();
        figureBox.setAlignment(Pos.CENTER);
        BorderPane.setAlignment(figureBox, Pos.CENTER);
        root.setCenter(figureBox);
        buttonBox.setAlignment(Pos.CENTER);
        BorderPane.setAlignment(buttonBox, Pos.BOTTOM_CENTER);
        root.setBottom(buttonBox);
        Scene scene = new Scene(root, 320, 240);
        stage.setTitle("Anonymous");
        stage.setScene(scene);
        stage.show();
    }
    public void nextFigure() {
        System.out.println(currentFigure);
        currentFigure=(currentFigure+direction);
        if (currentFigure<0) currentFigure=2;
        else if (currentFigure>2) currentFigure=0;
        System.out.println(currentFigure);
    }
    public static void main(String[] args) {
        launch();
    }
}
